package nl.voidcorp.yeetbot

import org.apache.logging.log4j.LogManager
import org.eclipse.jetty.util.log.Logger

class CustomLogging : Logger {
    val logger = LogManager.getLogger("JettyLog")

    override fun getName(): String {
        return "JettyLog"
    }

    override fun warn(msg: String, vararg args: Any) {
        logger.warn(msg, args)
    }

    override fun warn(thrown: Throwable) {
        logger.warn(thrown)
    }
    override fun warn(msg: String, thrown: Throwable) {
        logger.warn(msg,thrown)
    }
    override fun info(msg: String, vararg args: Any) {
        logger.info(msg,args)
    }
    override fun info(thrown: Throwable) {
        logger.info(thrown)
    }
    override fun info(msg: String, thrown: Throwable) {
        logger.info(msg,thrown)
    }
    override fun isDebugEnabled(): Boolean {
        return true
    }

    override fun setDebugEnabled(enabled: Boolean) {

    }
    override fun debug(msg: String, vararg args: Any) {
        logger.debug(msg,args)
    }
    override fun debug(thrown: Throwable) {
        logger.debug(thrown)
    }
    override fun debug(msg: String, thrown: Throwable) {
        logger.debug(msg,thrown)
    }
    override fun debug(msg: String?, value: Long) {
        logger.debug(msg,value)
    }
    override fun getLogger(name: String): Logger {
        return this
    }

    override fun ignore(ignored: Throwable) {
        logger.trace(ignored)
    }
}